module RuboCop
  module Cop
    module MyCustomRules
      # Cookbook:: This is the cop’s purpose.
      #
      # @example
      #
      #   # bad
      #   ${bad example code}
      #
      #   # good
      #   ${good example code}
      #
      class KitchenYAMLExistence < Cop
        MSG = '.kitchen.yml should exist"'.freeze

        def on_send(node)
          add_offense(node, location: :expression, message: MSG, severity: :refactor) unless File.exist?('.kitchen.yml')
        end
      end
    end
  end
end
